com.abbyy.mobile.rtr

## Interface IDataCaptureService

- All Superinterfaces:
    DataCapture, IRecognitionService

      public interface IDataCaptureService
      extends IRecognitionService, DataCapture

  A data capture service interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IDataCaptureService.Callback` A callback interface to interact with the data capture service: input the data and obtain the results.
    `static interface` | `IDataCaptureService.ExtendedSettings` Extended service configuration settings.

    - ### Nested classes/interfaces inherited from interface com.abbyy.mobile.rtr.IRecognitionService

      `IRecognitionService.DebugLog, IRecognitionService.ResultStabilityStatus, IRecognitionService.Warning`

    - ### Nested classes/interfaces inherited from interface com.abbyy.mobile.rtr.DataCapture

      `DataCapture.DataField, DataCapture.DataFieldInfo, DataCapture.DataScheme`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDataCaptureProfileBuilder` | `configureDataCaptureProfile()` Configure custom data capture profile.
    `IDataCaptureService.ExtendedSettings` | `getExtendedSettings()` Extended service configuration settings.

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IRecognitionService

      `setAreaOfInterest, setDebugLog, start, stop, submitFrame, submitFrame, submitRequestedFrame`

- - ### Method Detail

    - #### getExtendedSettings

          IDataCaptureService.ExtendedSettings getExtendedSettings()

      Extended service configuration settings. Settings for advanced users. Not used in typical scenarios
      Specified by:
        `getExtendedSettings` in interface `IRecognitionService`
      Returns:
        extended settings object

    - #### configureDataCaptureProfile

          IDataCaptureProfileBuilder configureDataCaptureProfile()

      Configure custom data capture profile. After the new profile is committed it replaces the previous active profile and becomes active
      Returns:
        data capture profile builder